// adjam7
// createpackage.h

#ifndef CREATE_PACKAGE_H
#define CREATE_PACKAGE_H

#include <KFileDialog>	// used in addFile and setLocationPath

#include <QWizardPage>
#include "ui_createpackage.h"

/** 
* this class brings information about the files
* to be packaged and the location where to package them.
*/
class CreatePackage : public QWizardPage , Ui::CreatePackage
{
	Q_OBJECT

public:
/** Constructor. Setup the widget and the required fields */
	CreatePackage(QWizardPage *parent = 0);

/** Get Function. Used to read ListaFiles */
	QStringList getListaFiles();
private slots:
/** Function. Used to add files to be inserted into the package */
	void addFile();
/** Function. Used to set Destination Dir where to save to package */
	void setLocationPath();

private:

/** Path List of the files to be included in the package */
	QStringList listaFiles;
};

#endif
