// adjam7
// createpackage.cpp

#include "createpackage.h"

CreatePackage::CreatePackage(QWizardPage *parent) : QWizardPage()
{
	setupUi(this);

	connect( btAddFile 	, SIGNAL( clicked() ) , this , SLOT( addFile() ) );
	connect( btLocationPath , SIGNAL( clicked() ) , this , SLOT( setLocationPath() ) );

	registerField("lsAddFile",lsAddFile);
	registerField("lnLocationPath*",lnLocationPath);
	registerField("ckUpload",ckUpload);
};

void CreatePackage::addFile()
{
	QString app = KFileDialog::getOpenFileName(KUrl("~"), tr("*.*"), this ,tr("choose file to upload") );
	if ( !app.isEmpty() )
	{
		lsAddFile->addItem(app);
		listaFiles << app;
	}
};


void CreatePackage::setLocationPath()
{
	QString app = KFileDialog::getExistingDirectory ( KUrl("~"), this, tr("Choose Location Dir") );
	lnLocationPath->setText(app);
};

QStringList CreatePackage::getListaFiles()
{
	return listaFiles;
};
