// adjam7
// metadata.h

#ifndef METADATA_H
#define METADATA_H

#include <KUrlCompletion>	// used in constructor	
#include <QWizardPage>

#include "ui_metadata.h"

/** 
this class let users to indicate their generalities.
Good to become famous publishing your themes 
*/
class MetaData : public QWizardPage, Ui::MetaDataInput
{
	Q_OBJECT

public:
/** Constructor. Set window and register fields */
	MetaData(QDialog *parent = 0);

/** get Function. The License registered with index i */
	QString getLicense(int i);

/** get Function. The version registered with index i */
	QString getRequiredVersion(int i);

private:

/** Available licenses list */
	QStringList licenses;

/** KDE version list */
	QStringList versions;
};

#endif
